module Sound.SC3.UGen.Record.BBandPass where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data BBandPass = BBandPass {
  input :: S.UGen,
  freq :: S.UGen,
  bw :: S.UGen
  } deriving (Show)
bBandPass :: BBandPass
bBandPass = BBandPass {
  input = 0.0,
  freq = 1200.0,
  bw = 1.0
  }
mkBBandPass :: BBandPass -> S.UGen
mkBBandPass (BBandPass  a' b' c') = S.mkOsc S.AR "BBandPass" [a',b',c'] 1
instance Make BBandPass where
  ugen = mkBBandPass
