module Sound.SC3.UGen.Record.BRZ2 where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data BRZ2 = BRZ2 {
  rate :: S.Rate,
  input :: S.UGen
  } deriving (Show)
bRZ2 :: BRZ2
bRZ2 = BRZ2 {
  rate = S.AR,
  input = 0.0
  }
mkBRZ2 :: BRZ2 -> S.UGen
mkBRZ2 (BRZ2 r a') = S.mkOsc r "BRZ2" [a'] 1
instance Make BRZ2 where
  ugen = mkBRZ2
