module Sound.SC3.UGen.Record.BeatTrack2 where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data BeatTrack2 = BeatTrack2 {
  busindex :: S.UGen,
  numfeatures :: S.UGen,
  windowsize :: S.UGen,
  phaseaccuracy :: S.UGen,
  lock :: S.UGen,
  weightingscheme :: S.UGen
  } deriving (Show)
beatTrack2 :: BeatTrack2
beatTrack2 = BeatTrack2 {
  busindex = 0.0,
  numfeatures = 0.0,
  windowsize = 2.0,
  phaseaccuracy = 0.02,
  lock = 0.0,
  weightingscheme = 0.0
  }
mkBeatTrack2 :: BeatTrack2 -> S.UGen
mkBeatTrack2 (BeatTrack2  a' b' c' d' e' f') = S.mkOsc S.KR "BeatTrack2" [a',b',c',d',e',f'] 6
instance Make BeatTrack2 where
  ugen = mkBeatTrack2
