module Sound.SC3.UGen.Record.BufCombL where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data BufCombL = BufCombL {
  buf :: S.UGen,
  input :: S.UGen,
  delaytime :: S.UGen,
  decaytime :: S.UGen
  } deriving (Show)
bufCombL :: BufCombL
bufCombL = BufCombL {
  buf = 0.0,
  input = 0.0,
  delaytime = 0.2,
  decaytime = 1.0
  }
mkBufCombL :: BufCombL -> S.UGen
mkBufCombL (BufCombL  a' b' c' d') = S.mkOsc S.AR "BufCombL" [a',b',c',d'] 1
instance Make BufCombL where
  ugen = mkBufCombL
