module Sound.SC3.UGen.Record.BufInfoUGenBase where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data BufInfoUGenBase = BufInfoUGenBase {
  rate :: S.Rate,
  bufnum :: S.UGen
  } deriving (Show)
bufInfoUGenBase :: BufInfoUGenBase
bufInfoUGenBase = BufInfoUGenBase {
  rate = S.AR,
  bufnum = 0.0
  }
mkBufInfoUGenBase :: BufInfoUGenBase -> S.UGen
mkBufInfoUGenBase (BufInfoUGenBase r a') = S.mkOsc r "BufInfoUGenBase" [a'] 1
instance Make BufInfoUGenBase where
  ugen = mkBufInfoUGenBase
