module Sound.SC3.UGen.Record.ClearBuf where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data ClearBuf = ClearBuf {
  buf :: S.UGen
  } deriving (Show)
clearBuf :: ClearBuf
clearBuf = ClearBuf {
  buf = 0.0
  }
mkClearBuf :: ClearBuf -> S.UGen
mkClearBuf (ClearBuf  a') = S.mkOsc S.IR "ClearBuf" [a'] 1
instance Make ClearBuf where
  ugen = mkClearBuf
