module Sound.SC3.UGen.Record.Clip where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Clip = Clip {
  rate :: S.Rate,
  input :: S.UGen,
  lo :: S.UGen,
  hi :: S.UGen
  } deriving (Show)
clip :: Clip
clip = Clip {
  rate = S.AR,
  input = 0.0,
  lo = 0.0,
  hi = 1.0
  }
mkClip :: Clip -> S.UGen
mkClip (Clip r a' b' c') = S.mkOsc r "Clip" [a',b',c'] 1
instance Make Clip where
  ugen = mkClip
