module Sound.SC3.UGen.Record.CombN where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data CombN = CombN {
  rate :: S.Rate,
  input :: S.UGen,
  maxdelaytime :: S.UGen,
  delaytime :: S.UGen,
  decaytime :: S.UGen
  } deriving (Show)
combN :: CombN
combN = CombN {
  rate = S.AR,
  input = 0.0,
  maxdelaytime = 0.2,
  delaytime = 0.2,
  decaytime = 1.0
  }
mkCombN :: CombN -> S.UGen
mkCombN (CombN r a' b' c' d') = S.mkOsc r "CombN" [a',b',c',d'] 1
instance Make CombN where
  ugen = mkCombN
