module Sound.SC3.UGen.Record.Control where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Control = Control {
  rate :: S.Rate,
  values :: S.UGen
  } deriving (Show)
control :: Control
control = Control {
  rate = S.AR,
  values = 0.0
  }
mkControl :: Control -> S.UGen
mkControl (Control r a') = S.mkOsc r "Control" [a'] 1
instance Make Control where
  ugen = mkControl
