module Sound.SC3.UGen.Record.Convolution2 where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Convolution2 = Convolution2 {
  input :: S.UGen,
  kernel :: S.UGen,
  trigger :: S.UGen,
  framesize :: S.UGen
  } deriving (Show)
convolution2 :: Convolution2
convolution2 = Convolution2 {
  input = 0.0,
  kernel = 0.0,
  trigger = 0.0,
  framesize = 0.0
  }
mkConvolution2 :: Convolution2 -> S.UGen
mkConvolution2 (Convolution2  a' b' c' d') = S.mkOsc S.AR "Convolution2" [a',b',c',d'] 1
instance Make Convolution2 where
  ugen = mkConvolution2
