module Sound.SC3.UGen.Record.Dbufrd where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Dbufrd = Dbufrd {
  bufnum :: S.UGen,
  phase :: S.UGen,
  loop :: S.UGen
  } deriving (Show)
dbufrd :: Dbufrd
dbufrd = Dbufrd {
  bufnum = 0.0,
  phase = 0.0,
  loop = 1.0
  }
mkDbufrd :: Dbufrd -> S.UGen
mkDbufrd (Dbufrd  a' b' c') = S.mkOsc S.DR "Dbufrd" [a',b',c'] 1
instance Make Dbufrd where
  ugen = mkDbufrd
