module Sound.SC3.UGen.Record.Dbufwr where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Dbufwr = Dbufwr {
  input :: S.UGen,
  bufnum :: S.UGen,
  phase :: S.UGen,
  loop :: S.UGen
  } deriving (Show)
dbufwr :: Dbufwr
dbufwr = Dbufwr {
  input = 0.0,
  bufnum = 0.0,
  phase = 0.0,
  loop = 1.0
  }
mkDbufwr :: Dbufwr -> S.UGen
mkDbufwr (Dbufwr  a' b' c' d') = S.mkOsc S.DR "Dbufwr" [a',b',c',d'] 1
instance Make Dbufwr where
  ugen = mkDbufwr
