module Sound.SC3.UGen.Record.Delay1 where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Delay1 = Delay1 {
  rate :: S.Rate,
  input :: S.UGen
  } deriving (Show)
delay1 :: Delay1
delay1 = Delay1 {
  rate = S.AR,
  input = 0.0
  }
mkDelay1 :: Delay1 -> S.UGen
mkDelay1 (Delay1 r a') = S.mkOsc r "Delay1" [a'] 1
instance Make Delay1 where
  ugen = mkDelay1
