module Sound.SC3.UGen.Record.DelayC where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data DelayC = DelayC {
  rate :: S.Rate,
  input :: S.UGen,
  maxdelaytime :: S.UGen,
  delaytime :: S.UGen
  } deriving (Show)
delayC :: DelayC
delayC = DelayC {
  rate = S.AR,
  input = 0.0,
  maxdelaytime = 0.2,
  delaytime = 0.2
  }
mkDelayC :: DelayC -> S.UGen
mkDelayC (DelayC r a' b' c') = S.mkOsc r "DelayC" [a',b',c'] 1
instance Make DelayC where
  ugen = mkDelayC
