module Sound.SC3.UGen.Record.DiskIn where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data DiskIn = DiskIn {
  numChannels :: S.UGen,
  bufnum :: S.UGen,
  loop :: S.UGen
  } deriving (Show)
diskIn :: DiskIn
diskIn = DiskIn {
  numChannels = 0.0,
  bufnum = 0.0,
  loop = 0.0
  }
mkDiskIn :: DiskIn -> S.UGen
mkDiskIn (DiskIn  a' b' c') = S.mkOsc S.AR "DiskIn" [a',b',c'] 1
instance Make DiskIn where
  ugen = mkDiskIn
