module Sound.SC3.UGen.Record.Donce where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Donce = Donce {
  input :: S.UGen
  } deriving (Show)
donce :: Donce
donce = Donce {
  input = 0.0
  }
mkDonce :: Donce -> S.UGen
mkDonce (Donce  a') = S.mkOsc S.DR "Donce" [a'] 1
instance Make Donce where
  ugen = mkDonce
