module Sound.SC3.UGen.Record.Dseries where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Dseries = Dseries {
  start :: S.UGen,
  step :: S.UGen,
  length_ :: S.UGen
  } deriving (Show)
dseries :: Dseries
dseries = Dseries {
  start = 1.0,
  step = 1.0,
  length_ = 100.0
  }
mkDseries :: Dseries -> S.UGen
mkDseries (Dseries  a' b' c') = S.mkOsc S.DR "Dseries" [a',b',c'] 1
instance Make Dseries where
  ugen = mkDseries
