module Sound.SC3.UGen.Record.Dswitch where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Dswitch = Dswitch {
  list :: S.UGen,
  index :: S.UGen
  } deriving (Show)
dswitch :: Dswitch
dswitch = Dswitch {
  list = 0.0,
  index = 0.0
  }
mkDswitch :: Dswitch -> S.UGen
mkDswitch (Dswitch  a' b') = S.mkOsc S.DR "Dswitch" [a',b'] 1
instance Make Dswitch where
  ugen = mkDswitch
