module Sound.SC3.UGen.Record.Dust where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Dust = Dust {
  rate :: S.Rate,
  density :: S.UGen
  } deriving (Show)
dust :: Dust
dust = Dust {
  rate = S.AR,
  density = 0.0
  }
mkDust :: Dust -> S.UGen
mkDust (Dust r a') = S.mkOsc r "Dust" [a'] 1
instance Make Dust where
  ugen = mkDust
