module Sound.SC3.UGen.Record.DynKlang where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data DynKlang = DynKlang {
  specificationsArrayRef :: S.UGen,
  freqscale :: S.UGen,
  freqoffset :: S.UGen
  } deriving (Show)
dynKlang :: DynKlang
dynKlang = DynKlang {
  specificationsArrayRef = 0.0,
  freqscale = 1.0,
  freqoffset = 0.0
  }
mkDynKlang :: DynKlang -> S.UGen
mkDynKlang (DynKlang  a' b' c') = S.mkOsc S.AR "DynKlang" [a',b',c'] 1
instance Make DynKlang where
  ugen = mkDynKlang
