module Sound.SC3.UGen.Record.HenonL where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data HenonL = HenonL {
  freq :: S.UGen,
  a :: S.UGen,
  b :: S.UGen,
  x0 :: S.UGen,
  x1 :: S.UGen
  } deriving (Show)
henonL :: HenonL
henonL = HenonL {
  freq = 22050.0,
  a = 1.4,
  b = 0.3,
  x0 = 0.0,
  x1 = 0.0
  }
mkHenonL :: HenonL -> S.UGen
mkHenonL (HenonL  a' b' c' d' e') = S.mkOsc S.AR "HenonL" [a',b',c',d',e'] 1
instance Make HenonL where
  ugen = mkHenonL
