module Sound.SC3.UGen.Record.HenonN where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data HenonN = HenonN {
  freq :: S.UGen,
  a :: S.UGen,
  b :: S.UGen,
  x0 :: S.UGen,
  x1 :: S.UGen
  } deriving (Show)
henonN :: HenonN
henonN = HenonN {
  freq = 22050.0,
  a = 1.4,
  b = 0.3,
  x0 = 0.0,
  x1 = 0.0
  }
mkHenonN :: HenonN -> S.UGen
mkHenonN (HenonN  a' b' c' d' e') = S.mkOsc S.AR "HenonN" [a',b',c',d',e'] 1
instance Make HenonN where
  ugen = mkHenonN
