module Sound.SC3.UGen.Record.InFeedback where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data InFeedback = InFeedback {
  bus :: S.UGen,
  numChannels :: S.UGen
  } deriving (Show)
inFeedback :: InFeedback
inFeedback = InFeedback {
  bus = 0.0,
  numChannels = 1.0
  }
mkInFeedback :: InFeedback -> S.UGen
mkInFeedback (InFeedback  a' b') = S.mkOsc S.AR "InFeedback" [a',b'] 1
instance Make InFeedback where
  ugen = mkInFeedback
