module Sound.SC3.UGen.Record.InTrig where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data InTrig = InTrig {
  bus :: S.UGen,
  numChannels :: S.UGen
  } deriving (Show)
inTrig :: InTrig
inTrig = InTrig {
  bus = 0.0,
  numChannels = 1.0
  }
mkInTrig :: InTrig -> S.UGen
mkInTrig (InTrig  a' b') = S.mkOsc S.KR "InTrig" [a',b'] 1
instance Make InTrig where
  ugen = mkInTrig
