module Sound.SC3.UGen.Record.K2A where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data K2A = K2A {
  input :: S.UGen
  } deriving (Show)
k2A :: K2A
k2A = K2A {
  input = 0.0
  }
mkK2A :: K2A -> S.UGen
mkK2A (K2A  a') = S.mkOsc S.AR "K2A" [a'] 1
instance Make K2A where
  ugen = mkK2A
