module Sound.SC3.UGen.Record.KeyTrack where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data KeyTrack = KeyTrack {
  chain :: S.UGen,
  keydecay :: S.UGen,
  chromaleak :: S.UGen
  } deriving (Show)
keyTrack :: KeyTrack
keyTrack = KeyTrack {
  chain = 0.0,
  keydecay = 2.0,
  chromaleak = 0.5
  }
mkKeyTrack :: KeyTrack -> S.UGen
mkKeyTrack (KeyTrack  a' b' c') = S.mkOsc S.KR "KeyTrack" [a',b',c'] 1
instance Make KeyTrack where
  ugen = mkKeyTrack
