module Sound.SC3.UGen.Record.Klang where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Klang = Klang {
  specificationsArrayRef :: S.UGen,
  freqscale :: S.UGen,
  freqoffset :: S.UGen
  } deriving (Show)
klang :: Klang
klang = Klang {
  specificationsArrayRef = 0.0,
  freqscale = 1.0,
  freqoffset = 0.0
  }
mkKlang :: Klang -> S.UGen
mkKlang (Klang  a' b' c') = S.mkOsc S.AR "Klang" [a',b',c'] 1
instance Make Klang where
  ugen = mkKlang
