module Sound.SC3.UGen.Record.Klank where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Klank = Klank {
  specificationsArrayRef :: S.UGen,
  input :: S.UGen,
  freqscale :: S.UGen,
  freqoffset :: S.UGen,
  decayscale :: S.UGen
  } deriving (Show)
klank :: Klank
klank = Klank {
  specificationsArrayRef = 0.0,
  input = 0.0,
  freqscale = 1.0,
  freqoffset = 0.0,
  decayscale = 1.0
  }
mkKlank :: Klank -> S.UGen
mkKlank (Klank  a' b' c' d' e') = S.mkOsc S.AR "Klank" [a',b',c',d',e'] 1
instance Make Klank where
  ugen = mkKlank
