module Sound.SC3.UGen.Record.LFNoise0 where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data LFNoise0 = LFNoise0 {
  rate :: S.Rate,
  freq :: S.UGen
  } deriving (Show)
lFNoise0 :: LFNoise0
lFNoise0 = LFNoise0 {
  rate = S.AR,
  freq = 500.0
  }
mkLFNoise0 :: LFNoise0 -> S.UGen
mkLFNoise0 (LFNoise0 r a') = S.mkOsc r "LFNoise0" [a'] 1
instance Make LFNoise0 where
  ugen = mkLFNoise0
