module Sound.SC3.UGen.Record.LFNoise1 where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data LFNoise1 = LFNoise1 {
  rate :: S.Rate,
  freq :: S.UGen
  } deriving (Show)
lFNoise1 :: LFNoise1
lFNoise1 = LFNoise1 {
  rate = S.AR,
  freq = 500.0
  }
mkLFNoise1 :: LFNoise1 -> S.UGen
mkLFNoise1 (LFNoise1 r a') = S.mkOsc r "LFNoise1" [a'] 1
instance Make LFNoise1 where
  ugen = mkLFNoise1
