module Sound.SC3.UGen.Record.LagControl where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data LagControl = LagControl {
  rate :: S.Rate,
  values :: S.UGen,
  lags :: S.UGen
  } deriving (Show)
lagControl :: LagControl
lagControl = LagControl {
  rate = S.AR,
  values = 0.0,
  lags = 0.0
  }
mkLagControl :: LagControl -> S.UGen
mkLagControl (LagControl r a' b') = S.mkOsc r "LagControl" [a',b'] 1
instance Make LagControl where
  ugen = mkLagControl
