module Sound.SC3.UGen.Record.LagIn where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data LagIn = LagIn {
  bus :: S.UGen,
  numChannels :: S.UGen,
  lag :: S.UGen
  } deriving (Show)
lagIn :: LagIn
lagIn = LagIn {
  bus = 0.0,
  numChannels = 1.0,
  lag = 0.1
  }
mkLagIn :: LagIn -> S.UGen
mkLagIn (LagIn  a' b' c') = S.mkOsc S.KR "LagIn" [a',b',c'] 1
instance Make LagIn where
  ugen = mkLagIn
