module Sound.SC3.UGen.Record.LeakDC where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data LeakDC = LeakDC {
  rate :: S.Rate,
  input :: S.UGen,
  coef :: S.UGen
  } deriving (Show)
leakDC :: LeakDC
leakDC = LeakDC {
  rate = S.AR,
  input = 0.0,
  coef = 0.995
  }
mkLeakDC :: LeakDC -> S.UGen
mkLeakDC (LeakDC r a' b') = S.mkOsc r "LeakDC" [a',b'] 1
instance Make LeakDC where
  ugen = mkLeakDC
