module Sound.SC3.UGen.Record.LeastChange where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data LeastChange = LeastChange {
  rate :: S.Rate,
  a :: S.UGen,
  b :: S.UGen
  } deriving (Show)
leastChange :: LeastChange
leastChange = LeastChange {
  rate = S.AR,
  a = 0.0,
  b = 0.0
  }
mkLeastChange :: LeastChange -> S.UGen
mkLeastChange (LeastChange r a' b') = S.mkOsc r "LeastChange" [a',b'] 1
instance Make LeastChange where
  ugen = mkLeastChange
