module Sound.SC3.UGen.Record.LinCongL where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data LinCongL = LinCongL {
  freq :: S.UGen,
  a :: S.UGen,
  c :: S.UGen,
  m :: S.UGen,
  xi :: S.UGen
  } deriving (Show)
linCongL :: LinCongL
linCongL = LinCongL {
  freq = 22050.0,
  a = 1.1,
  c = 0.13,
  m = 1.0,
  xi = 0.0
  }
mkLinCongL :: LinCongL -> S.UGen
mkLinCongL (LinCongL  a' b' c' d' e') = S.mkOsc S.AR "LinCongL" [a',b',c',d',e'] 1
instance Make LinCongL where
  ugen = mkLinCongL
