module Sound.SC3.UGen.Record.Line where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Line = Line {
  rate :: S.Rate,
  start :: S.UGen,
  end :: S.UGen,
  dur :: S.UGen,
  doneAction :: S.UGen
  } deriving (Show)
line :: Line
line = Line {
  rate = S.AR,
  start = 0.0,
  end = 1.0,
  dur = 1.0,
  doneAction = 0.0
  }
mkLine :: Line -> S.UGen
mkLine (Line r a' b' c' d') = S.mkOsc r "Line" [a',b',c',d'] 1
instance Make Line where
  ugen = mkLine
