module Sound.SC3.UGen.Record.LocalBuf where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data LocalBuf = LocalBuf {
  numFrames :: S.UGen,
  numChannels :: S.UGen,
  maxLocalBufs :: S.UGen
  } deriving (Show)
localBuf :: LocalBuf
localBuf = LocalBuf {
  numFrames = 1.0,
  numChannels = 1.0,
  maxLocalBufs = 8.0
  }
mkLocalBuf :: LocalBuf -> S.UGen
mkLocalBuf (LocalBuf  a' b' c') = S.mkOsc S.IR "LocalBuf" [a',b',c'] 1
instance Make LocalBuf where
  ugen = mkLocalBuf
