module Sound.SC3.UGen.Record.LocalIn where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data LocalIn = LocalIn {
  rate :: S.Rate,
  numChannels :: S.UGen
  } deriving (Show)
localIn :: LocalIn
localIn = LocalIn {
  rate = S.AR,
  numChannels = 1.0
  }
mkLocalIn :: LocalIn -> S.UGen
mkLocalIn (LocalIn r a') = S.mkOsc r "LocalIn" [a'] 1
instance Make LocalIn where
  ugen = mkLocalIn
