module Sound.SC3.UGen.Record.MouseY where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data MouseY = MouseY {
  minval :: S.UGen,
  maxval :: S.UGen,
  warp :: S.UGen,
  lag :: S.UGen
  } deriving (Show)
mouseY :: MouseY
mouseY = MouseY {
  minval = 0.0,
  maxval = 1.0,
  warp = 0.0,
  lag = 0.2
  }
mkMouseY :: MouseY -> S.UGen
mkMouseY (MouseY  a' b' c' d') = S.mkOsc S.KR "MouseY" [a',b',c',d'] 1
instance Make MouseY where
  ugen = mkMouseY
