module Sound.SC3.UGen.Record.Normalizer where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Normalizer = Normalizer {
  input :: S.UGen,
  level :: S.UGen,
  dur :: S.UGen
  } deriving (Show)
normalizer :: Normalizer
normalizer = Normalizer {
  input = 0.0,
  level = 1.0,
  dur = 0.01
  }
mkNormalizer :: Normalizer -> S.UGen
mkNormalizer (Normalizer  a' b' c') = S.mkOsc S.AR "Normalizer" [a',b',c'] 1
instance Make Normalizer where
  ugen = mkNormalizer
