module Sound.SC3.UGen.Record.PV_Diffuser where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data PV_Diffuser = PV_Diffuser {
  buffer :: S.UGen,
  trig :: S.UGen
  } deriving (Show)
pV_Diffuser :: PV_Diffuser
pV_Diffuser = PV_Diffuser {
  buffer = 0.0,
  trig = 0.0
  }
mkPV_Diffuser :: PV_Diffuser -> S.UGen
mkPV_Diffuser (PV_Diffuser  a' b') = S.mkOsc S.KR "PV_Diffuser" [a',b'] 1
instance Make PV_Diffuser where
  ugen = mkPV_Diffuser
