module Sound.SC3.UGen.Record.PV_JensenAndersen where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data PV_JensenAndersen = PV_JensenAndersen {
  buffer :: S.UGen,
  propsc :: S.UGen,
  prophfe :: S.UGen,
  prophfc :: S.UGen,
  propsf :: S.UGen,
  threshold :: S.UGen,
  waittime :: S.UGen
  } deriving (Show)
pV_JensenAndersen :: PV_JensenAndersen
pV_JensenAndersen = PV_JensenAndersen {
  buffer = 0.0,
  propsc = 0.25,
  prophfe = 0.25,
  prophfc = 0.25,
  propsf = 0.25,
  threshold = 1.0,
  waittime = 0.04
  }
mkPV_JensenAndersen :: PV_JensenAndersen -> S.UGen
mkPV_JensenAndersen (PV_JensenAndersen  a' b' c' d' e' f' g') = S.mkOsc S.AR "PV_JensenAndersen" [a',b',c',d',e',f',g'] 1
instance Make PV_JensenAndersen where
  ugen = mkPV_JensenAndersen
