module Sound.SC3.UGen.Record.PanAz where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data PanAz = PanAz {
  rate :: S.Rate,
  numChans :: S.UGen,
  input :: S.UGen,
  pos :: S.UGen,
  level :: S.UGen,
  width :: S.UGen,
  orientation :: S.UGen
  } deriving (Show)
panAz :: PanAz
panAz = PanAz {
  rate = S.AR,
  numChans = 0.0,
  input = 0.0,
  pos = 0.0,
  level = 1.0,
  width = 2.0,
  orientation = 0.5
  }
mkPanAz :: PanAz -> S.UGen
mkPanAz (PanAz r a' b' c' d' e' f') = S.mkOsc r "PanAz" [a',b',c',d',e',f'] 1
instance Make PanAz where
  ugen = mkPanAz
