module Sound.SC3.UGen.Record.PanB where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data PanB = PanB {
  rate :: S.Rate,
  input :: S.UGen,
  azimuth :: S.UGen,
  elevation :: S.UGen,
  gain :: S.UGen
  } deriving (Show)
panB :: PanB
panB = PanB {
  rate = S.AR,
  input = 0.0,
  azimuth = 0.0,
  elevation = 0.0,
  gain = 1.0
  }
mkPanB :: PanB -> S.UGen
mkPanB (PanB r a' b' c' d') = S.mkOsc r "PanB" [a',b',c',d'] 4
instance Make PanB where
  ugen = mkPanB
