module Sound.SC3.UGen.Record.PlayBuf where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data PlayBuf = PlayBuf {
  rate :: S.Rate,
  numChannels :: S.UGen,
  bufnum :: S.UGen,
  rate_ :: S.UGen,
  trigger :: S.UGen,
  startPos :: S.UGen,
  loop :: S.UGen
  } deriving (Show)
playBuf :: PlayBuf
playBuf = PlayBuf {
  rate = S.AR,
  numChannels = 0.0,
  bufnum = 0.0,
  rate_ = 1.0,
  trigger = 1.0,
  startPos = 0.0,
  loop = 0.0
  }
mkPlayBuf :: PlayBuf -> S.UGen
mkPlayBuf (PlayBuf r a' b' c' d' e' f') = S.mkOsc r "PlayBuf" [a',b',c',d',e',f'] 1
instance Make PlayBuf where
  ugen = mkPlayBuf
