module Sound.SC3.UGen.Record.QuadL where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data QuadL = QuadL {
  freq :: S.UGen,
  a :: S.UGen,
  b :: S.UGen,
  c :: S.UGen,
  xi :: S.UGen
  } deriving (Show)
quadL :: QuadL
quadL = QuadL {
  freq = 22050.0,
  a = 1.0,
  b = -1.0,
  c = -0.75,
  xi = 0.0
  }
mkQuadL :: QuadL -> S.UGen
mkQuadL (QuadL  a' b' c' d' e') = S.mkOsc S.AR "QuadL" [a',b',c',d',e'] 1
instance Make QuadL where
  ugen = mkQuadL
