module Sound.SC3.UGen.Record.RLPF where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data RLPF = RLPF {
  rate :: S.Rate,
  input :: S.UGen,
  freq :: S.UGen,
  rq :: S.UGen
  } deriving (Show)
rLPF :: RLPF
rLPF = RLPF {
  rate = S.AR,
  input = 0.0,
  freq = 440.0,
  rq = 1.0
  }
mkRLPF :: RLPF -> S.UGen
mkRLPF (RLPF r a' b' c') = S.mkOsc r "RLPF" [a',b',c'] 1
instance Make RLPF where
  ugen = mkRLPF
