module Sound.SC3.UGen.Record.Rand where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Rand = Rand {
  lo :: S.UGen,
  hi :: S.UGen
  } deriving (Show)
rand :: Rand
rand = Rand {
  lo = 0.0,
  hi = 1.0
  }
mkRand :: Rand -> S.UGen
mkRand (Rand  a' b') = S.mkOsc S.IR "Rand" [a',b'] 1
instance Make Rand where
  ugen = mkRand
