module Sound.SC3.UGen.Record.ReplaceOut where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data ReplaceOut = ReplaceOut {
  rate :: S.Rate,
  bus :: S.UGen,
  input :: S.UGen
  } deriving (Show)
replaceOut :: ReplaceOut
replaceOut = ReplaceOut {
  rate = S.AR,
  bus = 0.0,
  input = 0.0
  }
mkReplaceOut :: ReplaceOut -> S.UGen
mkReplaceOut (ReplaceOut r a' b') = S.mkOsc r "ReplaceOut" [a',b'] 1
instance Make ReplaceOut where
  ugen = mkReplaceOut
