module Sound.SC3.UGen.Record.RunningSum where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data RunningSum = RunningSum {
  rate :: S.Rate,
  input :: S.UGen,
  numsamp :: S.UGen
  } deriving (Show)
runningSum :: RunningSum
runningSum = RunningSum {
  rate = S.AR,
  input = 0.0,
  numsamp = 40.0
  }
mkRunningSum :: RunningSum -> S.UGen
mkRunningSum (RunningSum r a' b') = S.mkOsc r "RunningSum" [a',b'] 1
instance Make RunningSum where
  ugen = mkRunningSum
