module Sound.SC3.UGen.Record.ScopeOut where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data ScopeOut = ScopeOut {
  rate :: S.Rate,
  inputArray :: S.UGen,
  bufnum :: S.UGen
  } deriving (Show)
scopeOut :: ScopeOut
scopeOut = ScopeOut {
  rate = S.AR,
  inputArray = 0.0,
  bufnum = 0.0
  }
mkScopeOut :: ScopeOut -> S.UGen
mkScopeOut (ScopeOut r a' b') = S.mkOsc r "ScopeOut" [a',b'] 1
instance Make ScopeOut where
  ugen = mkScopeOut
