module Sound.SC3.UGen.Record.Select where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Select = Select {
  rate :: S.Rate,
  which :: S.UGen,
  array :: S.UGen
  } deriving (Show)
select :: Select
select = Select {
  rate = S.AR,
  which = 0.0,
  array = 0.0
  }
mkSelect :: Select -> S.UGen
mkSelect (Select r a' b') = S.mkOsc r "Select" [a',b'] 1
instance Make Select where
  ugen = mkSelect
