module Sound.SC3.UGen.Record.SinOsc where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data SinOsc = SinOsc {
  rate :: S.Rate,
  freq :: S.UGen,
  phase :: S.UGen
  } deriving (Show)
sinOsc :: SinOsc
sinOsc = SinOsc {
  rate = S.AR,
  freq = 440.0,
  phase = 0.0
  }
mkSinOsc :: SinOsc -> S.UGen
mkSinOsc (SinOsc r a' b') = S.mkOsc r "SinOsc" [a',b'] 1
instance Make SinOsc where
  ugen = mkSinOsc
