module Sound.SC3.UGen.Record.SpecFlatness where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data SpecFlatness = SpecFlatness {
  buffer :: S.UGen
  } deriving (Show)
specFlatness :: SpecFlatness
specFlatness = SpecFlatness {
  buffer = 0.0
  }
mkSpecFlatness :: SpecFlatness -> S.UGen
mkSpecFlatness (SpecFlatness  a') = S.mkOsc S.KR "SpecFlatness" [a'] 1
instance Make SpecFlatness where
  ugen = mkSpecFlatness
