module Sound.SC3.UGen.Record.Spring where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Spring = Spring {
  input :: S.UGen,
  spring_ :: S.UGen,
  damp :: S.UGen
  } deriving (Show)
spring :: Spring
spring = Spring {
  input = 0.0,
  spring_ = 1.0,
  damp = 0.0
  }
mkSpring :: Spring -> S.UGen
mkSpring (Spring  a' b' c') = S.mkOsc S.AR "Spring" [a',b',c'] 1
instance Make Spring where
  ugen = mkSpring
