module Sound.SC3.UGen.Record.StandardL where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data StandardL = StandardL {
  freq :: S.UGen,
  k :: S.UGen,
  xi :: S.UGen,
  yi :: S.UGen
  } deriving (Show)
standardL :: StandardL
standardL = StandardL {
  freq = 22050.0,
  k = 1.0,
  xi = 0.5,
  yi = 0.0
  }
mkStandardL :: StandardL -> S.UGen
mkStandardL (StandardL  a' b' c' d') = S.mkOsc S.AR "StandardL" [a',b',c',d'] 1
instance Make StandardL where
  ugen = mkStandardL
