module Sound.SC3.UGen.Record.Stepper where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Stepper = Stepper {
  rate :: S.Rate,
  trig :: S.UGen,
  reset :: S.UGen,
  min_ :: S.UGen,
  max_ :: S.UGen,
  step :: S.UGen,
  resetval :: S.UGen
  } deriving (Show)
stepper :: Stepper
stepper = Stepper {
  rate = S.AR,
  trig = 0.0,
  reset = 0.0,
  min_ = 0.0,
  max_ = 7.0,
  step = 1.0,
  resetval = 0.0
  }
mkStepper :: Stepper -> S.UGen
mkStepper (Stepper r a' b' c' d' e' f') = S.mkOsc r "Stepper" [a',b',c',d',e',f'] 1
instance Make Stepper where
  ugen = mkStepper
