module Sound.SC3.UGen.Record.SyncSaw where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data SyncSaw = SyncSaw {
  rate :: S.Rate,
  syncFreq :: S.UGen,
  sawFreq :: S.UGen
  } deriving (Show)
syncSaw :: SyncSaw
syncSaw = SyncSaw {
  rate = S.AR,
  syncFreq = 440.0,
  sawFreq = 440.0
  }
mkSyncSaw :: SyncSaw -> S.UGen
mkSyncSaw (SyncSaw r a' b') = S.mkOsc r "SyncSaw" [a',b'] 1
instance Make SyncSaw where
  ugen = mkSyncSaw
