module Sound.SC3.UGen.Record.Trig1 where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Trig1 = Trig1 {
  rate :: S.Rate,
  input :: S.UGen,
  dur :: S.UGen
  } deriving (Show)
trig1 :: Trig1
trig1 = Trig1 {
  rate = S.AR,
  input = 0.0,
  dur = 0.1
  }
mkTrig1 :: Trig1 -> S.UGen
mkTrig1 (Trig1 r a' b') = S.mkOsc r "Trig1" [a',b'] 1
instance Make Trig1 where
  ugen = mkTrig1
