module Sound.SC3.UGen.Record.VarSaw where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data VarSaw = VarSaw {
  rate :: S.Rate,
  freq :: S.UGen,
  iphase :: S.UGen,
  width :: S.UGen
  } deriving (Show)
varSaw :: VarSaw
varSaw = VarSaw {
  rate = S.AR,
  freq = 440.0,
  iphase = 0.0,
  width = 0.5
  }
mkVarSaw :: VarSaw -> S.UGen
mkVarSaw (VarSaw r a' b' c') = S.mkOsc r "VarSaw" [a',b',c'] 1
instance Make VarSaw where
  ugen = mkVarSaw
