module Sound.SC3.UGen.Record.WrapIndex where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data WrapIndex = WrapIndex {
  rate :: S.Rate,
  bufnum :: S.UGen,
  input :: S.UGen
  } deriving (Show)
wrapIndex :: WrapIndex
wrapIndex = WrapIndex {
  rate = S.AR,
  bufnum = 0.0,
  input = 0.0
  }
mkWrapIndex :: WrapIndex -> S.UGen
mkWrapIndex (WrapIndex r a' b') = S.mkOsc r "WrapIndex" [a',b'] 1
instance Make WrapIndex where
  ugen = mkWrapIndex
