module Sound.SC3.UGen.Record.Amplitude where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Amplitude = Amplitude {
  rate :: S.Rate,
  input :: S.UGen,
  attackTime :: S.UGen,
  releaseTime :: S.UGen
  } deriving (Show)
amplitude :: Amplitude
amplitude = Amplitude {
  rate = S.AR,
  input = 0.0,
  attackTime = 0.01,
  releaseTime = 0.01
  }
mkAmplitude :: Amplitude -> S.UGen
mkAmplitude (Amplitude r a' b' c') = S.mkOsc r "Amplitude" [a',b',c'] 1
instance Make Amplitude where
  ugen = mkAmplitude
