module Sound.SC3.UGen.Record.BBandStop where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data BBandStop = BBandStop {
  input :: S.UGen,
  freq :: S.UGen,
  bw :: S.UGen
  } deriving (Show)
bBandStop :: BBandStop
bBandStop = BBandStop {
  input = 0.0,
  freq = 1200.0,
  bw = 1.0
  }
mkBBandStop :: BBandStop -> S.UGen
mkBBandStop (BBandStop  a' b' c') = S.mkOsc S.AR "BBandStop" [a',b',c'] 1
instance Make BBandStop where
  ugen = mkBBandStop
