module Sound.SC3.UGen.Record.BiPanB2 where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data BiPanB2 = BiPanB2 {
  rate :: S.Rate,
  inA :: S.UGen,
  inB :: S.UGen,
  azimuth :: S.UGen,
  gain :: S.UGen
  } deriving (Show)
biPanB2 :: BiPanB2
biPanB2 = BiPanB2 {
  rate = S.AR,
  inA = 0.0,
  inB = 0.0,
  azimuth = 0.0,
  gain = 1.0
  }
mkBiPanB2 :: BiPanB2 -> S.UGen
mkBiPanB2 (BiPanB2 r a' b' c' d') = S.mkOsc r "BiPanB2" [a',b',c',d'] 3
instance Make BiPanB2 where
  ugen = mkBiPanB2
