module Sound.SC3.UGen.Record.BufSampleRate where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data BufSampleRate = BufSampleRate {
  rate :: S.Rate,
  bufnum :: S.UGen
  } deriving (Show)
bufSampleRate :: BufSampleRate
bufSampleRate = BufSampleRate {
  rate = S.AR,
  bufnum = 0.0
  }
mkBufSampleRate :: BufSampleRate -> S.UGen
mkBufSampleRate (BufSampleRate r a') = S.mkOsc r "BufSampleRate" [a'] 1
instance Make BufSampleRate where
  ugen = mkBufSampleRate
