module Sound.SC3.UGen.Record.BufSamples where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data BufSamples = BufSamples {
  rate :: S.Rate,
  bufnum :: S.UGen
  } deriving (Show)
bufSamples :: BufSamples
bufSamples = BufSamples {
  rate = S.AR,
  bufnum = 0.0
  }
mkBufSamples :: BufSamples -> S.UGen
mkBufSamples (BufSamples r a') = S.mkOsc r "BufSamples" [a'] 1
instance Make BufSamples where
  ugen = mkBufSamples
