module Sound.SC3.UGen.Record.BufWr where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data BufWr = BufWr {
  rate :: S.Rate,
  inputArray :: S.UGen,
  bufnum :: S.UGen,
  phase :: S.UGen,
  loop :: S.UGen
  } deriving (Show)
bufWr :: BufWr
bufWr = BufWr {
  rate = S.AR,
  inputArray = 0.0,
  bufnum = 0.0,
  phase = 0.0,
  loop = 1.0
  }
mkBufWr :: BufWr -> S.UGen
mkBufWr (BufWr r a' b' c' d') = S.mkOsc r "BufWr" [a',b',c',d'] 1
instance Make BufWr where
  ugen = mkBufWr
