module Sound.SC3.UGen.Record.COsc where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data COsc = COsc {
  rate :: S.Rate,
  bufnum :: S.UGen,
  freq :: S.UGen,
  beats :: S.UGen
  } deriving (Show)
cOsc :: COsc
cOsc = COsc {
  rate = S.AR,
  bufnum = 0.0,
  freq = 440.0,
  beats = 0.5
  }
mkCOsc :: COsc -> S.UGen
mkCOsc (COsc r a' b' c') = S.mkOsc r "COsc" [a',b',c'] 1
instance Make COsc where
  ugen = mkCOsc
