module Sound.SC3.UGen.Record.CuspL where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data CuspL = CuspL {
  freq :: S.UGen,
  a :: S.UGen,
  b :: S.UGen,
  xi :: S.UGen
  } deriving (Show)
cuspL :: CuspL
cuspL = CuspL {
  freq = 22050.0,
  a = 1.0,
  b = 1.9,
  xi = 0.0
  }
mkCuspL :: CuspL -> S.UGen
mkCuspL (CuspL  a' b' c' d') = S.mkOsc S.AR "CuspL" [a',b',c',d'] 1
instance Make CuspL where
  ugen = mkCuspL
