module Sound.SC3.UGen.Record.CuspN where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data CuspN = CuspN {
  freq :: S.UGen,
  a :: S.UGen,
  b :: S.UGen,
  xi :: S.UGen
  } deriving (Show)
cuspN :: CuspN
cuspN = CuspN {
  freq = 22050.0,
  a = 1.0,
  b = 1.9,
  xi = 0.0
  }
mkCuspN :: CuspN -> S.UGen
mkCuspN (CuspN  a' b' c' d') = S.mkOsc S.AR "CuspN" [a',b',c',d'] 1
instance Make CuspN where
  ugen = mkCuspN
