module Sound.SC3.UGen.Record.Delay2 where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Delay2 = Delay2 {
  rate :: S.Rate,
  input :: S.UGen
  } deriving (Show)
delay2 :: Delay2
delay2 = Delay2 {
  rate = S.AR,
  input = 0.0
  }
mkDelay2 :: Delay2 -> S.UGen
mkDelay2 (Delay2 r a') = S.mkOsc r "Delay2" [a'] 1
instance Make Delay2 where
  ugen = mkDelay2
