module Sound.SC3.UGen.Record.Dgeom where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Dgeom = Dgeom {
  start :: S.UGen,
  grow :: S.UGen,
  length_ :: S.UGen
  } deriving (Show)
dgeom :: Dgeom
dgeom = Dgeom {
  start = 1.0,
  grow = 2.0,
  length_ = 100.0
  }
mkDgeom :: Dgeom -> S.UGen
mkDgeom (Dgeom  a' b' c') = S.mkOsc S.DR "Dgeom" [a',b',c'] 1
instance Make Dgeom where
  ugen = mkDgeom
