module Sound.SC3.UGen.Record.Dseq where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Dseq = Dseq {
  list :: S.UGen,
  repeats :: S.UGen
  } deriving (Show)
dseq :: Dseq
dseq = Dseq {
  list = 0.0,
  repeats = 1.0
  }
mkDseq :: Dseq -> S.UGen
mkDseq (Dseq  a' b') = S.mkOsc S.DR "Dseq" [a',b'] 1
instance Make Dseq where
  ugen = mkDseq
