module Sound.SC3.UGen.Record.Dstutter where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Dstutter = Dstutter {
  n :: S.UGen,
  input :: S.UGen
  } deriving (Show)
dstutter :: Dstutter
dstutter = Dstutter {
  n = 0.0,
  input = 0.0
  }
mkDstutter :: Dstutter -> S.UGen
mkDstutter (Dstutter  a' b') = S.mkOsc S.DR "Dstutter" [a',b'] 1
instance Make Dstutter where
  ugen = mkDstutter
