module Sound.SC3.UGen.Record.Dwhite where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Dwhite = Dwhite {
  lo :: S.UGen,
  hi :: S.UGen,
  length_ :: S.UGen
  } deriving (Show)
dwhite :: Dwhite
dwhite = Dwhite {
  lo = 0.0,
  hi = 1.0,
  length_ = 100000000.0
  }
mkDwhite :: Dwhite -> S.UGen
mkDwhite (Dwhite  a' b' c') = S.mkOsc S.DR "Dwhite" [a',b',c'] 1
instance Make Dwhite where
  ugen = mkDwhite
