module Sound.SC3.UGen.Record.Dxrand where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Dxrand = Dxrand {
  list :: S.UGen,
  repeats :: S.UGen
  } deriving (Show)
dxrand :: Dxrand
dxrand = Dxrand {
  list = 0.0,
  repeats = 1.0
  }
mkDxrand :: Dxrand -> S.UGen
mkDxrand (Dxrand  a' b') = S.mkOsc S.DR "Dxrand" [a',b'] 1
instance Make Dxrand where
  ugen = mkDxrand
