module Sound.SC3.UGen.Record.FOS where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data FOS = FOS {
  rate :: S.Rate,
  input :: S.UGen,
  a0 :: S.UGen,
  a1 :: S.UGen,
  b1 :: S.UGen
  } deriving (Show)
fOS :: FOS
fOS = FOS {
  rate = S.AR,
  input = 0.0,
  a0 = 0.0,
  a1 = 0.0,
  b1 = 0.0
  }
mkFOS :: FOS -> S.UGen
mkFOS (FOS r a' b' c' d') = S.mkOsc r "FOS" [a',b',c',d'] 1
instance Make FOS where
  ugen = mkFOS
