module Sound.SC3.UGen.Record.FSinOsc where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data FSinOsc = FSinOsc {
  rate :: S.Rate,
  freq :: S.UGen,
  iphase :: S.UGen
  } deriving (Show)
fSinOsc :: FSinOsc
fSinOsc = FSinOsc {
  rate = S.AR,
  freq = 440.0,
  iphase = 0.0
  }
mkFSinOsc :: FSinOsc -> S.UGen
mkFSinOsc (FSinOsc r a' b') = S.mkOsc r "FSinOsc" [a',b'] 1
instance Make FSinOsc where
  ugen = mkFSinOsc
