module Sound.SC3.UGen.Record.FreeSelf where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data FreeSelf = FreeSelf {
  input :: S.UGen
  } deriving (Show)
freeSelf :: FreeSelf
freeSelf = FreeSelf {
  input = 0.0
  }
mkFreeSelf :: FreeSelf -> S.UGen
mkFreeSelf (FreeSelf  a') = S.mkOsc S.KR "FreeSelf" [a'] 1
instance Make FreeSelf where
  ugen = mkFreeSelf
