module Sound.SC3.UGen.Record.GbmanL where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data GbmanL = GbmanL {
  freq :: S.UGen,
  xi :: S.UGen,
  yi :: S.UGen
  } deriving (Show)
gbmanL :: GbmanL
gbmanL = GbmanL {
  freq = 22050.0,
  xi = 1.2,
  yi = 2.1
  }
mkGbmanL :: GbmanL -> S.UGen
mkGbmanL (GbmanL  a' b' c') = S.mkOsc S.AR "GbmanL" [a',b',c'] 1
instance Make GbmanL where
  ugen = mkGbmanL
