module Sound.SC3.UGen.Record.GbmanN where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data GbmanN = GbmanN {
  freq :: S.UGen,
  xi :: S.UGen,
  yi :: S.UGen
  } deriving (Show)
gbmanN :: GbmanN
gbmanN = GbmanN {
  freq = 22050.0,
  xi = 1.2,
  yi = 2.1
  }
mkGbmanN :: GbmanN -> S.UGen
mkGbmanN (GbmanN  a' b' c') = S.mkOsc S.AR "GbmanN" [a',b',c'] 1
instance Make GbmanN where
  ugen = mkGbmanN
