module Sound.SC3.UGen.Record.HPF where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data HPF = HPF {
  rate :: S.Rate,
  input :: S.UGen,
  freq :: S.UGen
  } deriving (Show)
hPF :: HPF
hPF = HPF {
  rate = S.AR,
  input = 0.0,
  freq = 440.0
  }
mkHPF :: HPF -> S.UGen
mkHPF (HPF r a' b') = S.mkOsc r "HPF" [a',b'] 1
instance Make HPF where
  ugen = mkHPF
