module Sound.SC3.UGen.Record.Hasher where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Hasher = Hasher {
  rate :: S.Rate,
  input :: S.UGen
  } deriving (Show)
hasher :: Hasher
hasher = Hasher {
  rate = S.AR,
  input = 0.0
  }
mkHasher :: Hasher -> S.UGen
mkHasher (Hasher r a') = S.mkOsc r "Hasher" [a'] 1
instance Make Hasher where
  ugen = mkHasher
