module Sound.SC3.UGen.Record.HenonC where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data HenonC = HenonC {
  freq :: S.UGen,
  a :: S.UGen,
  b :: S.UGen,
  x0 :: S.UGen,
  x1 :: S.UGen
  } deriving (Show)
henonC :: HenonC
henonC = HenonC {
  freq = 22050.0,
  a = 1.4,
  b = 0.3,
  x0 = 0.0,
  x1 = 0.0
  }
mkHenonC :: HenonC -> S.UGen
mkHenonC (HenonC  a' b' c' d' e') = S.mkOsc S.AR "HenonC" [a',b',c',d',e'] 1
instance Make HenonC where
  ugen = mkHenonC
