module Sound.SC3.UGen.Record.IFFT where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data IFFT = IFFT {
  buffer :: S.UGen,
  wintype :: S.UGen,
  winsize :: S.UGen
  } deriving (Show)
iFFT :: IFFT
iFFT = IFFT {
  buffer = 0.0,
  wintype = 0.0,
  winsize = 0.0
  }
mkIFFT :: IFFT -> S.UGen
mkIFFT (IFFT  a' b' c') = S.mkOsc S.AR "IFFT" [a',b',c'] 1
instance Make IFFT where
  ugen = mkIFFT
