module Sound.SC3.UGen.Record.Impulse where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Impulse = Impulse {
  rate :: S.Rate,
  freq :: S.UGen,
  phase :: S.UGen
  } deriving (Show)
impulse :: Impulse
impulse = Impulse {
  rate = S.AR,
  freq = 440.0,
  phase = 0.0
  }
mkImpulse :: Impulse -> S.UGen
mkImpulse (Impulse r a' b') = S.mkOsc r "Impulse" [a',b'] 1
instance Make Impulse where
  ugen = mkImpulse
