module Sound.SC3.UGen.Record.In where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data In = In {
  rate :: S.Rate,
  bus :: S.UGen,
  numChannels :: S.UGen
  } deriving (Show)
in' :: In
in' = In {
  rate = S.AR,
  bus = 0.0,
  numChannels = 1.0
  }
mkIn :: In -> S.UGen
mkIn (In r a' b') = S.mkOsc r "In" [a',b'] 1
instance Make In where
  ugen = mkIn
