module Sound.SC3.UGen.Record.KeyState where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data KeyState = KeyState {
  keycode :: S.UGen,
  minval :: S.UGen,
  maxval :: S.UGen,
  lag :: S.UGen
  } deriving (Show)
keyState :: KeyState
keyState = KeyState {
  keycode = 0.0,
  minval = 0.0,
  maxval = 1.0,
  lag = 0.2
  }
mkKeyState :: KeyState -> S.UGen
mkKeyState (KeyState  a' b' c' d') = S.mkOsc S.KR "KeyState" [a',b',c',d'] 1
instance Make KeyState where
  ugen = mkKeyState
