module Sound.SC3.UGen.Record.LFDNoise0 where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data LFDNoise0 = LFDNoise0 {
  rate :: S.Rate,
  freq :: S.UGen
  } deriving (Show)
lFDNoise0 :: LFDNoise0
lFDNoise0 = LFDNoise0 {
  rate = S.AR,
  freq = 500.0
  }
mkLFDNoise0 :: LFDNoise0 -> S.UGen
mkLFDNoise0 (LFDNoise0 r a') = S.mkOsc r "LFDNoise0" [a'] 1
instance Make LFDNoise0 where
  ugen = mkLFDNoise0
