module Sound.SC3.UGen.Record.LFNoise2 where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data LFNoise2 = LFNoise2 {
  rate :: S.Rate,
  freq :: S.UGen
  } deriving (Show)
lFNoise2 :: LFNoise2
lFNoise2 = LFNoise2 {
  rate = S.AR,
  freq = 500.0
  }
mkLFNoise2 :: LFNoise2 -> S.UGen
mkLFNoise2 (LFNoise2 r a') = S.mkOsc r "LFNoise2" [a'] 1
instance Make LFNoise2 where
  ugen = mkLFNoise2
