module Sound.SC3.UGen.Record.LFPar where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data LFPar = LFPar {
  rate :: S.Rate,
  freq :: S.UGen,
  iphase :: S.UGen
  } deriving (Show)
lFPar :: LFPar
lFPar = LFPar {
  rate = S.AR,
  freq = 440.0,
  iphase = 0.0
  }
mkLFPar :: LFPar -> S.UGen
mkLFPar (LFPar r a' b') = S.mkOsc r "LFPar" [a',b'] 1
instance Make LFPar where
  ugen = mkLFPar
