module Sound.SC3.UGen.Record.LFPulse where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data LFPulse = LFPulse {
  rate :: S.Rate,
  freq :: S.UGen,
  iphase :: S.UGen,
  width :: S.UGen
  } deriving (Show)
lFPulse :: LFPulse
lFPulse = LFPulse {
  rate = S.AR,
  freq = 440.0,
  iphase = 0.0,
  width = 0.5
  }
mkLFPulse :: LFPulse -> S.UGen
mkLFPulse (LFPulse r a' b' c') = S.mkOsc r "LFPulse" [a',b',c'] 1
instance Make LFPulse where
  ugen = mkLFPulse
