module Sound.SC3.UGen.Record.LagUD where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data LagUD = LagUD {
  rate :: S.Rate,
  input :: S.UGen,
  lagTimeU :: S.UGen,
  lagTimeD :: S.UGen
  } deriving (Show)
lagUD :: LagUD
lagUD = LagUD {
  rate = S.AR,
  input = 0.0,
  lagTimeU = 0.1,
  lagTimeD = 0.1
  }
mkLagUD :: LagUD -> S.UGen
mkLagUD (LagUD r a' b' c') = S.mkOsc r "LagUD" [a',b',c'] 1
instance Make LagUD where
  ugen = mkLagUD
