module Sound.SC3.UGen.Record.LatoocarfianC where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data LatoocarfianC = LatoocarfianC {
  freq :: S.UGen,
  a :: S.UGen,
  b :: S.UGen,
  c :: S.UGen,
  d :: S.UGen,
  xi :: S.UGen,
  yi :: S.UGen
  } deriving (Show)
latoocarfianC :: LatoocarfianC
latoocarfianC = LatoocarfianC {
  freq = 22050.0,
  a = 1.0,
  b = 3.0,
  c = 0.5,
  d = 0.5,
  xi = 0.5,
  yi = 0.5
  }
mkLatoocarfianC :: LatoocarfianC -> S.UGen
mkLatoocarfianC (LatoocarfianC  a' b' c' d' e' f' g') = S.mkOsc S.AR "LatoocarfianC" [a',b',c',d',e',f',g'] 1
instance Make LatoocarfianC where
  ugen = mkLatoocarfianC
