module Sound.SC3.UGen.Record.LatoocarfianN where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data LatoocarfianN = LatoocarfianN {
  freq :: S.UGen,
  a :: S.UGen,
  b :: S.UGen,
  c :: S.UGen,
  d :: S.UGen,
  xi :: S.UGen,
  yi :: S.UGen
  } deriving (Show)
latoocarfianN :: LatoocarfianN
latoocarfianN = LatoocarfianN {
  freq = 22050.0,
  a = 1.0,
  b = 3.0,
  c = 0.5,
  d = 0.5,
  xi = 0.5,
  yi = 0.5
  }
mkLatoocarfianN :: LatoocarfianN -> S.UGen
mkLatoocarfianN (LatoocarfianN  a' b' c' d' e' f' g') = S.mkOsc S.AR "LatoocarfianN" [a',b',c',d',e',f',g'] 1
instance Make LatoocarfianN where
  ugen = mkLatoocarfianN
