module Sound.SC3.UGen.Record.LinLin where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data LinLin = LinLin {
  rate :: S.Rate,
  input :: S.UGen,
  srclo :: S.UGen,
  srchi :: S.UGen,
  dstlo :: S.UGen,
  dsthi :: S.UGen
  } deriving (Show)
linLin :: LinLin
linLin = LinLin {
  rate = S.AR,
  input = 0.0,
  srclo = 0.0,
  srchi = 1.0,
  dstlo = 1.0,
  dsthi = 2.0
  }
mkLinLin :: LinLin -> S.UGen
mkLinLin (LinLin r a' b' c' d' e') = S.mkOsc r "LinLin" [a',b',c',d',e'] 1
instance Make LinLin where
  ugen = mkLinLin
