module Sound.SC3.UGen.Record.Loudness where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Loudness = Loudness {
  chain :: S.UGen,
  smask :: S.UGen,
  tmask :: S.UGen
  } deriving (Show)
loudness :: Loudness
loudness = Loudness {
  chain = 0.0,
  smask = 0.25,
  tmask = 1.0
  }
mkLoudness :: Loudness -> S.UGen
mkLoudness (Loudness  a' b' c') = S.mkOsc S.KR "Loudness" [a',b',c'] 1
instance Make Loudness where
  ugen = mkLoudness
