module Sound.SC3.UGen.Record.MFCC where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data MFCC = MFCC {
  chain :: S.UGen,
  numcoeff :: S.UGen
  } deriving (Show)
mFCC :: MFCC
mFCC = MFCC {
  chain = 0.0,
  numcoeff = 13.0
  }
mkMFCC :: MFCC -> S.UGen
mkMFCC (MFCC  a' b') = S.mkOsc S.KR "MFCC" [a',b'] 1
instance Make MFCC where
  ugen = mkMFCC
