module Sound.SC3.UGen.Record.MouseButton where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data MouseButton = MouseButton {
  minval :: S.UGen,
  maxval :: S.UGen,
  lag :: S.UGen
  } deriving (Show)
mouseButton :: MouseButton
mouseButton = MouseButton {
  minval = 0.0,
  maxval = 1.0,
  lag = 0.2
  }
mkMouseButton :: MouseButton -> S.UGen
mkMouseButton (MouseButton  a' b' c') = S.mkOsc S.KR "MouseButton" [a',b',c'] 1
instance Make MouseButton where
  ugen = mkMouseButton
