module Sound.SC3.UGen.Record.OnePole where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data OnePole = OnePole {
  rate :: S.Rate,
  input :: S.UGen,
  coef :: S.UGen
  } deriving (Show)
onePole :: OnePole
onePole = OnePole {
  rate = S.AR,
  input = 0.0,
  coef = 0.5
  }
mkOnePole :: OnePole -> S.UGen
mkOnePole (OnePole r a' b') = S.mkOsc r "OnePole" [a',b'] 1
instance Make OnePole where
  ugen = mkOnePole
