module Sound.SC3.UGen.Record.OscN where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data OscN = OscN {
  rate :: S.Rate,
  bufnum :: S.UGen,
  freq :: S.UGen,
  phase :: S.UGen
  } deriving (Show)
oscN :: OscN
oscN = OscN {
  rate = S.AR,
  bufnum = 0.0,
  freq = 440.0,
  phase = 0.0
  }
mkOscN :: OscN -> S.UGen
mkOscN (OscN r a' b' c') = S.mkOsc r "OscN" [a',b',c'] 1
instance Make OscN where
  ugen = mkOscN
