module Sound.SC3.UGen.Record.PV_BinScramble where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data PV_BinScramble = PV_BinScramble {
  buffer :: S.UGen,
  wipe :: S.UGen,
  width :: S.UGen,
  trig :: S.UGen
  } deriving (Show)
pV_BinScramble :: PV_BinScramble
pV_BinScramble = PV_BinScramble {
  buffer = 0.0,
  wipe = 0.0,
  width = 0.2,
  trig = 0.0
  }
mkPV_BinScramble :: PV_BinScramble -> S.UGen
mkPV_BinScramble (PV_BinScramble  a' b' c' d') = S.mkOsc S.KR "PV_BinScramble" [a',b',c',d'] 1
instance Make PV_BinScramble where
  ugen = mkPV_BinScramble
