module Sound.SC3.UGen.Record.PV_MagDiv where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data PV_MagDiv = PV_MagDiv {
  bufferA :: S.UGen,
  bufferB :: S.UGen,
  zeroed :: S.UGen
  } deriving (Show)
pV_MagDiv :: PV_MagDiv
pV_MagDiv = PV_MagDiv {
  bufferA = 0.0,
  bufferB = 0.0,
  zeroed = 0.0001
  }
mkPV_MagDiv :: PV_MagDiv -> S.UGen
mkPV_MagDiv (PV_MagDiv  a' b' c') = S.mkOsc S.KR "PV_MagDiv" [a',b',c'] 1
instance Make PV_MagDiv where
  ugen = mkPV_MagDiv
