module Sound.SC3.UGen.Record.PV_MagSmear where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data PV_MagSmear = PV_MagSmear {
  buffer :: S.UGen,
  bins :: S.UGen
  } deriving (Show)
pV_MagSmear :: PV_MagSmear
pV_MagSmear = PV_MagSmear {
  buffer = 0.0,
  bins = 0.0
  }
mkPV_MagSmear :: PV_MagSmear -> S.UGen
mkPV_MagSmear (PV_MagSmear  a' b') = S.mkOsc S.KR "PV_MagSmear" [a',b'] 1
instance Make PV_MagSmear where
  ugen = mkPV_MagSmear
