module Sound.SC3.UGen.Record.Pan4 where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Pan4 = Pan4 {
  rate :: S.Rate,
  input :: S.UGen,
  xpos :: S.UGen,
  ypos :: S.UGen,
  level :: S.UGen
  } deriving (Show)
pan4 :: Pan4
pan4 = Pan4 {
  rate = S.AR,
  input = 0.0,
  xpos = 0.0,
  ypos = 0.0,
  level = 1.0
  }
mkPan4 :: Pan4 -> S.UGen
mkPan4 (Pan4 r a' b' c' d') = S.mkOsc r "Pan4" [a',b',c',d'] 4
instance Make Pan4 where
  ugen = mkPan4
