module Sound.SC3.UGen.Record.Pulse where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Pulse = Pulse {
  freq :: S.UGen,
  width :: S.UGen
  } deriving (Show)
pulse :: Pulse
pulse = Pulse {
  freq = 440.0,
  width = 0.5
  }
mkPulse :: Pulse -> S.UGen
mkPulse (Pulse  a' b') = S.mkOsc S.AR "Pulse" [a',b'] 1
instance Make Pulse where
  ugen = mkPulse
