module Sound.SC3.UGen.Record.RandSeed where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data RandSeed = RandSeed {
  rate :: S.Rate,
  trig :: S.UGen,
  seed :: S.UGen
  } deriving (Show)
randSeed :: RandSeed
randSeed = RandSeed {
  rate = S.AR,
  trig = 0.0,
  seed = 56789.0
  }
mkRandSeed :: RandSeed -> S.UGen
mkRandSeed (RandSeed r a' b') = S.mkOsc r "RandSeed" [a',b'] 1
instance Make RandSeed where
  ugen = mkRandSeed
