module Sound.SC3.UGen.Record.RunningMax where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data RunningMax = RunningMax {
  rate :: S.Rate,
  trig :: S.UGen,
  reset :: S.UGen
  } deriving (Show)
runningMax :: RunningMax
runningMax = RunningMax {
  rate = S.AR,
  trig = 0.0,
  reset = 0.0
  }
mkRunningMax :: RunningMax -> S.UGen
mkRunningMax (RunningMax r a' b') = S.mkOsc r "RunningMax" [a',b'] 1
instance Make RunningMax where
  ugen = mkRunningMax
