module Sound.SC3.UGen.Record.SetBuf where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data SetBuf = SetBuf {
  buf :: S.UGen,
  values :: S.UGen,
  offset :: S.UGen
  } deriving (Show)
setBuf :: SetBuf
setBuf = SetBuf {
  buf = 0.0,
  values = 0.0,
  offset = 0.0
  }
mkSetBuf :: SetBuf -> S.UGen
mkSetBuf (SetBuf  a' b' c') = S.mkOsc S.IR "SetBuf" [a',b',c'] 1
instance Make SetBuf where
  ugen = mkSetBuf
