module Sound.SC3.UGen.Record.SetResetFF where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data SetResetFF = SetResetFF {
  rate :: S.Rate,
  trig :: S.UGen,
  reset :: S.UGen
  } deriving (Show)
setResetFF :: SetResetFF
setResetFF = SetResetFF {
  rate = S.AR,
  trig = 0.0,
  reset = 0.0
  }
mkSetResetFF :: SetResetFF -> S.UGen
mkSetResetFF (SetResetFF r a' b') = S.mkOsc r "SetResetFF" [a',b'] 1
instance Make SetResetFF where
  ugen = mkSetResetFF
