module Sound.SC3.UGen.Record.StereoConvolution2L where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data StereoConvolution2L = StereoConvolution2L {
  input :: S.UGen,
  kernelL :: S.UGen,
  kernelR :: S.UGen,
  trigger :: S.UGen,
  framesize :: S.UGen,
  crossfade :: S.UGen
  } deriving (Show)
stereoConvolution2L :: StereoConvolution2L
stereoConvolution2L = StereoConvolution2L {
  input = 0.0,
  kernelL = 0.0,
  kernelR = 0.0,
  trigger = 0.0,
  framesize = 0.0,
  crossfade = 1.0
  }
mkStereoConvolution2L :: StereoConvolution2L -> S.UGen
mkStereoConvolution2L (StereoConvolution2L  a' b' c' d' e' f') = S.mkOsc S.AR "StereoConvolution2L" [a',b',c',d',e',f'] 2
instance Make StereoConvolution2L where
  ugen = mkStereoConvolution2L
