module Sound.SC3.UGen.Record.Tap where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Tap = Tap {
  bufnum :: S.UGen,
  numChannels :: S.UGen,
  delaytime :: S.UGen
  } deriving (Show)
tap :: Tap
tap = Tap {
  bufnum = 0.0,
  numChannels = 1.0,
  delaytime = 0.2
  }
mkTap :: Tap -> S.UGen
mkTap (Tap  a' b' c') = S.mkOsc S.AR "Tap" [a',b',c'] 1
instance Make Tap where
  ugen = mkTap
