module Sound.SC3.UGen.Record.VDiskIn where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data VDiskIn = VDiskIn {
  numChannels :: S.UGen,
  bufnum :: S.UGen,
  rate_ :: S.UGen,
  loop :: S.UGen
  } deriving (Show)
vDiskIn :: VDiskIn
vDiskIn = VDiskIn {
  numChannels = 0.0,
  bufnum = 0.0,
  rate_ = 1.0,
  loop = 0.0
  }
mkVDiskIn :: VDiskIn -> S.UGen
mkVDiskIn (VDiskIn  a' b' c' d') = S.mkOsc S.AR "VDiskIn" [a',b',c',d'] 1
instance Make VDiskIn where
  ugen = mkVDiskIn
