module Sound.SC3.UGen.Record.XLine where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data XLine = XLine {
  rate :: S.Rate,
  start :: S.UGen,
  end :: S.UGen,
  dur :: S.UGen,
  doneAction :: S.UGen
  } deriving (Show)
xLine :: XLine
xLine = XLine {
  rate = S.AR,
  start = 1.0,
  end = 2.0,
  dur = 1.0,
  doneAction = 0.0
  }
mkXLine :: XLine -> S.UGen
mkXLine (XLine r a' b' c' d') = S.mkOsc r "XLine" [a',b',c',d'] 1
instance Make XLine where
  ugen = mkXLine
